// Copyright  2005 Prodige Software Corporation. All rights reserved.
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.IO;
using Prodige.Drawing;
using Prodige.Svg;

namespace Prodige.Svg.Tests
{
	public class Form1 : System.Windows.Forms.Form
	{
		private Prodige.Drawing.Canvas canvas1;
		private System.Windows.Forms.ComboBox fileSelectionBox;
		private System.Windows.Forms.Button browseButton;
		private System.Windows.Forms.OpenFileDialog openFileDialog1;
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			InitializeComponent();
			fileSelectionBox.Items.AddRange(
				new string[] {
								 @"stroke_test.svg",
								 @"shield.svg",
								 @"shield1.svg",
								 @"pathtest.svg",
								 @"c:\fix.svg",
								 "Phillip2.svg",
								 "lingrad01.svg",
								 "pservers-grad-04-b.svg",
								 "pservers-grad-05-b.svg",
								 "pservers-grad-06-b.svg",
								 "shapes-polyline-01-t.svg",
								 @"EHTests\Button1f_2.svg",
								 @"coords-trans-06-t.svg",
			});
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
					components.Dispose();
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.canvas1 = new Prodige.Drawing.Canvas();
			this.fileSelectionBox = new System.Windows.Forms.ComboBox();
			this.browseButton = new System.Windows.Forms.Button();
			this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
			this.SuspendLayout();
			// 
			// canvas1
			// 
			this.canvas1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.canvas1.BackColor = System.Drawing.SystemColors.Window;
			this.canvas1.Location = new System.Drawing.Point(0, 24);
			this.canvas1.Name = "canvas1";
			this.canvas1.Size = new System.Drawing.Size(752, 648);
			this.canvas1.TabIndex = 0;
			// 
			// fileSelectionBox
			// 
			this.fileSelectionBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.fileSelectionBox.Location = new System.Drawing.Point(0, 0);
			this.fileSelectionBox.Name = "fileSelectionBox";
			this.fileSelectionBox.Size = new System.Drawing.Size(648, 21);
			this.fileSelectionBox.TabIndex = 1;
			this.fileSelectionBox.SelectedIndexChanged += new System.EventHandler(this.fileSelectionBox_SelectedIndexChanged);
			// 
			// browseButton
			// 
			this.browseButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.browseButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.browseButton.Location = new System.Drawing.Point(648, 0);
			this.browseButton.Name = "browseButton";
			this.browseButton.Size = new System.Drawing.Size(104, 24);
			this.browseButton.TabIndex = 2;
			this.browseButton.Text = "Browse...";
			this.browseButton.Click += new System.EventHandler(this.browseButton_Click);
			// 
			// openFileDialog1
			// 
			this.openFileDialog1.Filter = "SVG files|*.svg";
			this.openFileDialog1.Title = "Select an SVG file to test";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(752, 669);
			this.Controls.Add(this.browseButton);
			this.Controls.Add(this.fileSelectionBox);
			this.Controls.Add(this.canvas1);
			this.Name = "Form1";
			this.Text = "Prodige.Svg Test Form";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void fileSelectionBox_SelectedIndexChanged(object sender, EventArgs e)
		{
			string text = fileSelectionBox.SelectedItem.ToString();
			if (text == "")
				return;
			ChangePicture(text);
		}

		private void ChangePicture(string path)
		{
			if (!File.Exists(path))
			{
				MessageBox.Show("Invalid file path");
				return;
			}
			PictureImporter importer = new SvgImporter();
			canvas1.Picture = importer.ConvertToPicture(path);
		}

		private void browseButton_Click(object sender, EventArgs e)
		{
			DialogResult result = openFileDialog1.ShowDialog();
			if (result == DialogResult.OK)
				ChangePicture(openFileDialog1.FileName);
		}
	}
}
